import { projectSchema } from '@/models/projectSchema';
import { store } from '@/redux/store';
import { Project } from '@/types/models';
import { validateDataUsingZodSchema } from '@/utils/validateDataUsingZodSchema';

type GetDiseaseReturnType = Project['disease'] | undefined;

export const getDisease = (): GetDiseaseReturnType => {
  const project = store.getState().project.data;

  if (!project) throw new Error('Project does not exist');

  const isDataValid = validateDataUsingZodSchema(project, projectSchema);

  return isDataValid ? project.disease : undefined;
};
