import { projectSchema } from '@/models/projectSchema';
import { store } from '@/redux/store';
import { Project } from '@/types/models';
import { validateDataUsingZodSchema } from '@/utils/validateDataUsingZodSchema';

type GetProjectIdReturnType = Project['projectId'] | undefined;

export const getProjectId = (): GetProjectIdReturnType => {
  const project = store.getState().project.data;

  if (!project) throw new Error('Project does not exist');

  const isDataValid = validateDataUsingZodSchema(project, projectSchema);

  return isDataValid ? project.projectId : undefined;
};
