import { projectSchema } from '@/models/projectSchema';
import { store } from '@/redux/store';
import { Project } from '@/types/models';
import { validateDataUsingZodSchema } from '@/utils/validateDataUsingZodSchema';

type GetVersionReturnType = Project['version'] | undefined;

export const getVersion = (): GetVersionReturnType => {
  const project = store.getState().project.data;

  if (!project) throw new Error('Project does not exist');

  const isDataValid = validateDataUsingZodSchema(project, projectSchema);

  return isDataValid ? project.version : undefined;
};
